Exodus 7.10

Macros | Functions
ex_put_all_var_param_ext.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <inttypes.h>`
`#include <stddef.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`

## Macros
#define | EX_GET_IDS_STATUS(TNAME, NUMVAR, DNAME, DID, DVAL, VIDS, EIDS, VSTAT, VSTATVAL)
#define | EX_DEFINE_VARS(TID, STNAME, TNAME, NUMVAR, DNAME, DID1, DID2, DVAL, VIDS, VNOV, VTV, VSTATVAL, VTABVAL, VTABVAR)

## Functions
static int | define_dimension (int exoid, const char *DIMENSION, int count, const char *label, int *dimid)
static int | define_variable_name_variable (int exoid, const char *VARIABLE, int dimension, const char *label)
static int * | get_status_array (int exoid, int var_count, const char *VARIABLE, const char *label)
static int | put_truth_table (int exoid, int varid, int *table, const char *label)
static int | define_truth_table (ex_entity_type obj_type, int exoid, int num_ent, int num_var, int *var_tab, int *status_tab, void_int *ids, const char *label)
int | ex_put_all_var_param_ext (int exoid, const ex_var_params *vp)

## Macro Definition Documentation

## ◆ EX_DEFINE_VARS

#define EX_DEFINE_VARS | ( |  | TID,
|  |  | STNAME,
|  |  | TNAME,
|  |  | NUMVAR,
|  |  | DNAME,
|  |  | DID1,
|  |  | DID2,
|  |  | DVAL,
|  |  | VIDS,
|  |  | VNOV,
|  |  | VTV,
|  |  | VSTATVAL,
|  |  | VTABVAL,
|  |  | VTABVAR
| ) |  |

## ◆ EX_GET_IDS_STATUS

#define EX_GET_IDS_STATUS | ( |  | TNAME,
|  |  | NUMVAR,
|  |  | DNAME,
|  |  | DID,
|  |  | DVAL,
|  |  | VIDS,
|  |  | EIDS,
|  |  | VSTAT,
|  |  | VSTATVAL
| ) |  |

Value:
if (NUMVAR > 0) { \
status = ex_get_dimension(exoid, DNAME, TNAME "s", &DVAL, &DID, __func__); \
if (status != NC_NOERR) \
goto error_ret; \
\
/* get element block IDs */ \
if (!(VIDS = malloc(sizeof(int64_t) * DVAL))) { \
snprintf(errmsg, MAX_ERR_LENGTH, \
"ERROR: failed to allocate memory for " TNAME " id array for file id %d", exoid); \
ex_err(__func__, errmsg, EX_MEMFAIL); \
goto error_ret; \
} \
ex_get_ids(exoid, EIDS, VIDS); \
\
/* Get element block status array for later use (allocates memory) */ \
VSTATVAL = get_status_array(exoid, DVAL, VSTAT, TNAME); \
if (VSTATVAL == NULL) { \
goto error_ret; \
} \
}
get_status_array
static int * get_status_array(int exoid, int var_count, const char *VARIABLE, const char *label)
Definition: ex_put_all_var_param_ext.c:430
EX_MEMFAIL
#define EX_MEMFAIL
Definition: exodusII.h:1654
ex_get_dimension
int ex_get_dimension(int exoid, const char *DIMENSION, const char *label, size_t *count, int *dimid, const char *routine)
Definition: ex_utils.c:1402
MAX_ERR_LENGTH
#define MAX_ERR_LENGTH
Definition: exodusII.h:302
obj_stats::exoid
int exoid
Definition: exodusII_int.h:758

## Function Documentation

## ◆ define_dimension()

static int define_dimension | ( | int | exoid,
|  | const char * | DIMENSION,
|  | int | count,
|  | const char * | label,
|  | int * | dimid
| ) |  |
| static

## ◆ define_truth_table()

static int define_truth_table | ( | ex_entity_type | obj_type,
|  | int | exoid,
|  | int | num_ent,
|  | int | num_var,
|  | int * | var_tab,
|  | int * | status_tab,
|  | void_int * | ids,
|  | const char * | label
| ) |  |
| static

## ◆ define_variable_name_variable()

static int define_variable_name_variable | ( | int | exoid,
|  | const char * | VARIABLE,
|  | int | dimension,
|  | const char * | label
| ) |  |
| static

## ◆ ex_put_all_var_param_ext()

int ex_put_all_var_param_ext | ( | int | exoid,
|  | const ex_var_params * | vp
| ) |  |

writes the number of global, nodal, element, nodeset, and sideset variables that will be written to the database

Parameters

  exoid | exodus file id
  *vp | pointer to variable parameter info

## ◆ get_status_array()

static int * get_status_array | ( | int | exoid,
|  | int | var_count,
|  | const char * | VARIABLE,
|  | const char * | label
| ) |  |
| static

## ◆ put_truth_table()

static int put_truth_table | ( | int | exoid,
|  | int | varid,
|  | int * | table,
|  | const char * | label
| ) |  |
| static